Last Comment Bug 697740 - "Run Junk Mail Controls on Folder" quits early with error gMessengerBundle is not defined chrome://messenger/content/junkCommands.js Line: 276
: "Run Junk Mail Controls on Folder" quits early with error gMessengerBundle is...
Status: RESOLVED FIXED
[gs][gssolved]
: regression
Product: MailNews Core
Classification: Components
Component: Filters (show other bugs)
: 7
: x86 Windows 7
: -- normal with 3 votes (vote)
: Thunderbird 11.0
Assigned To: :aceman
:
:
Mentors:
http://getsatisfaction.com/mozilla_me...
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-10-27 09:49 PDT by Nathan Mahon
Modified: 2012-02-08 19:46 PST (History)
11 users (show)
vseerror: in‑testsuite?
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
fixed


Attachments
fix (1.56 KB, patch)
2011-12-10 16:41 PST, :aceman
mozilla: review+
standard8: approval‑comm‑aurora+
Details | Diff | Splinter Review

Description Nathan Mahon 2011-10-27 09:49:56 PDT
User Agent: Mozilla/5.0 (Windows NT 6.1; rv:7.0.1) Gecko/20100101 Firefox/7.0.1
Build ID: 20110928134238

Steps to reproduce:

Checking a large (1000 message) IMAP folder for junk mail.
Selected folder, selected Tools->Run Junk Mail Controls on Folder



Actual results:

the first approximately 20 messages were marked junk (correctly) in approximately one second.  It then stopped checking and the remaining 980 messages were not checked to be junk or not.
Error Console:
gMessengerBundle is not defined
chrome://messenger/content/junkCommands.js   Line: 276


Expected results:

The whole folder should have been checked for junk.
Comment 1 Jamie Thompson 2011-10-27 14:31:48 PDT
I can confirm I'm getting this as well.
Comment 2 Kent James (:rkent) 2011-11-11 02:26:09 PST
I'm also seeing this. Hopefully it will stay reproducible so I can track it down. I'm seeing it mostly on Mark/Run Junk Mail Controls
Comment 3 David :Bienvenu 2011-11-11 08:24:16 PST
(In reply to Kent James (:rkent) from comment #2)
> I'm also seeing this. Hopefully it will stay reproducible so I can track it
> down. I'm seeing it mostly on Mark/Run Junk Mail Controls

My money is on an ill-advised NS_ENSURE_SUCCESS(rv, rv); ;-)
Comment 4 :aceman 2011-12-10 16:41:28 PST
Created attachment 580699 [details] [diff] [review]
fix

David, you could loose the money this time ;-)
This fixed it for me.
Comment 5 :aceman 2011-12-13 08:13:55 PST
Can somebody look at the patch?
This may even be nice for TB9/10. It should be really low risk for a high reward (unbreaking a function exposed in menu).
Comment 6 David :Bienvenu 2011-12-13 10:04:34 PST
Comment on attachment 580699 [details] [diff] [review]
fix

thx very much for the patch; sorry for the delay.
Comment 7 :aceman 2011-12-13 14:31:19 PST
This was a quick fix, however there is a comment at the top of the file, that gMessengerBundle is a global prerequisite.
It may be worth investigating why it is no longer defined here.
Comment 8 Mark Banner (:standard8, limited time in Dec) 2011-12-16 14:39:22 PST
Checked in: http://hg.mozilla.org/comm-central/rev/de32f9b38fea
Comment 9 Siddharth Agarwal [:sid0] (inactive) 2011-12-18 13:59:55 PST
Our junk command tests didn't catch this because they complete too soon for the statusDisplayInterval. :(
Comment 10 Mark Banner (:standard8, limited time in Dec) 2011-12-19 06:41:51 PST
Comment on attachment 580699 [details] [diff] [review]
fix

a=Standard8 for Aurora, too late for TB 9.
Comment 11 Mike Conley (:mconley) 2011-12-19 07:02:10 PST
Committed to comm-aurora as http://hg.mozilla.org/releases/comm-aurora/rev/962c4118375a
Comment 12 Wayne Mery (:wsmwk, NI for questions) 2012-01-02 02:32:22 PST
(In reply to Siddharth Agarwal [:sid0] from comment #9)
> Our junk command tests didn't catch this because they complete too soon for
> the statusDisplayInterval. :(

needs a follow up bug for tests?

http://getsatisfaction.com/mozilla_messaging/topics/run_junk_mail_controls_on_folder_mostly_inoperable_in_versions_6_7 reports this as happening at least as early as version 6

looks like this made the merge for v10 beta which is dated 12/22, correct?
ftp://ftp.mozilla.org/pub/mozilla.org/thunderbird/releases/10.0b1/win32/en-US/
Comment 13 :aceman 2012-01-02 07:45:18 PST
Per comment 10 and comment 11 this should be in TB 10 (Aurora at that time, now Beta). I asked for backport to sooner releases than TB11. TB9 didn't make it as it had only 1 day before release.

Note You need to log in before you can comment on or make changes to this bug.